#!/usr/bin/octave -qf
# Script to generate figure x_to_a.eps in a single, simple, call.

t = ones(0,1000);
x = ones(0,1000);
yx = ones(0,1000);
figure(1);
clf;
for i = 1:1001
  t(i) = (i-1)*0.01;
  yx(i) = 0.0;
  if (i<200)
     x(i) = 1.0*t(i)*t(i);
  elseif (i<400)
    x(i) = 4.0*t(i) - 4.0;
  elseif(i<500)
    x(i) = 4.0*t(i) - 4.0 - 2.0*((t(i)-4.0)*(t(i) - 4.0));
  elseif (i<700)
    x(i) = 14.0;
  elseif (i<800)
    x(i) = 14.0 - 3.0*(t(i)-7.0)*(t(i) - 7.0);
  else
    x(i) = 11 - 5.6*(t(i) - 8.0);
  endif
endfor
sb = subplot(3,1,1);
set(sb,'LineWidth',3.0);
hold on;
ylim([-20 20]);
xlim([0 10]);
pc = plot(t,x,'k','linewidth',2.0,'linestyle',"-");
xxs = plot(t,yx,'k','linewidth',3.0,'linestyle',"-");
xl = xlabel('t (seconds)');
set(xl,'FontSize',20);
yl = ylabel('x (m)');
set(yl,'FontSize',20);
box on;
grid on;

sb = subplot(3,1,2);
set(sb,'LineWidth',3.0);
hold on;
ylim([-10 10]);
xlim([0 10]);
xxs = plot(t,yx,'k','linewidth',3.0,'linestyle',"-");
xl = xlabel('t (seconds)');
set(xl,'FontSize',20);
yl = ylabel('v (m/sec)');
set(yl,'FontSize',20);
grid on;

sb = subplot(3,1,3);
set(sb,'LineWidth',3.0);
hold on;
ylim([-10 10]);
xlim([0 10]);
xxs = plot(t,yx,'k','linewidth',3.0,'linestyle',"-");
xl = xlabel('t (seconds)');
set(xl,'FontSize',20);
yl = ylabel('a (m/sec^2)');
set(yl,'FontSize',20);
box on;
grid on;
hold off; 

print -deps -mono -solid force-pr-kinematic-graphs.eps;
