#!/usr/bin/octave -qf
# Script to generate figure a_to_x.eps in a single call


t = linspace(0,2*pi,100);
x = cos(t);
v = -sin(t);
tp = linspace(0,2*pi,9);
vp = -sin(tp);
tlim = [0 7];
ax = [0 0];

figure(1);
clf;
sb = subplot(3,1,1);
set(sb,'LineWidth',3.0);
hold on;
ylim([-1.3 1.3]);
xlim([0 7]);
axs = plot(tlim,ax,'k','linewidth',2.0,'linestyle',"-");
plot1 = plot(t,x,'k','linewidth',3.0,'linestyle',"-");
xl = xlabel('t(s)');
set(xl,'FontSize',20);
yl = ylabel('x (m)');
set(yl,'FontSize',20);
box on;
grid on;
hold off; 

sb = subplot(3,1,2);
set(sb,'LineWidth',3.0);
hold on;
ylim([-1.3 1.3]);
xlim([0 7]);
scatter(tp,vp,20,'filled');
text(tp(1)+0.1,vp(1)+0.2,'A','fontsize',14,'fontweight','bold');
text(tp(2)+0.1,vp(2)+0.2,'B','fontsize',14,'fontweight','bold');
text(tp(3)+0.0,vp(3)+0.3,'C','fontsize',14,'fontweight','bold');
text(tp(4)-0.05,vp(4)+0.3,'D','fontsize',14,'fontweight','bold');
text(tp(5)-0.05,vp(5)+0.3,'E','fontsize',14,'fontweight','bold');
text(tp(6)+0.1,vp(6)-0.2,'F','fontsize',14,'fontweight','bold');
text(tp(7)+0.0,vp(7)-0.3,'G','fontsize',14,'fontweight','bold');
text(tp(8)+0.1,vp(8)+0.2,'H','fontsize',14,'fontweight','bold');
text(tp(9)+0.1,vp(9)+0.2,'I','fontsize',14,'fontweight','bold');
axs = plot(tlim,ax,'k','linewidth',2.0,'linestyle',"-");
p2 = plot(t,v,'k','linewidth',3.0,'linestyle',"-");
xl = xlabel('t(s)');
set(xl,'FontSize',20);
yl = ylabel('v (m/sec)');
set(yl,'FontSize',20);
box on;
grid on;
hold off; 

sb = subplot(3,1,3);
set(sb,'LineWidth',3.0);
hold on;
ylim([-1.3 1.3]);
xlim([0 7]);
axs = plot(tlim,ax,'k','linewidth',2.0,'linestyle',"-");
# set(pc,'LineWidth',2.0);
# xxs = plot(t,x,'k','linewidth',3.0,'linestyle',"-");
xl = xlabel('t(s)');
set(xl,'FontSize',20);
yl = ylabel('a (m/sec^2)');
set(yl,'FontSize',20);
box on;
grid on;
hold off; 

print -deps -mono -solid kinematics-sa-a2v2x-2.eps;
