#!/usr/bin/octave -qf
# Script to generate figure a_to_x.eps in a single call

t = ones(0,1000);
a = ones(0,1000);
yx = ones(0,1000);
figure(1);
clf;
for i = 1:1001
  t(i) = (i-1)*0.01;
  yx(i) = 0.0;
  if (i<200)
    a(i) = 2.0;
  elseif (i<400)
    a(i) = 0.0;
  elseif(i<500)
    a(i) = -4.0;
  elseif (i<700)
    a(i) = 0.0;
  elseif (i<800)
    a(i) = -6.0;
  else
    a(i) = 0;
  endif
endfor
sb = subplot(3,1,1);
set(sb,'LineWidth',3.0);
hold on;
ylim([-20 20]);
xlim([0 10]);
xxs = plot(t,yx,'k','linewidth',3.0,'linestyle',"-");
xl = xlabel('t (seconds)');
set(xl,'FontSize',20);
yl = ylabel('x (m)');
set(yl,'FontSize',20);
box on;
grid on;
hold off; 

sb = subplot(3,1,2);
set(sb,'LineWidth',3.0);
hold on;
ylim([-10 10]);
xlim([0 10]);
xxs = plot(t,yx,'k','linewidth',3.0,'linestyle',"-");
xl = xlabel('t (seconds)');
set(xl,'FontSize',20);
yl = ylabel('v (m/sec)');
set(yl,'FontSize',20);
box on;
grid on;
hold off; 

sb = subplot(3,1,3);
set(sb,'LineWidth',3.0);
hold on;
ylim([-10 10]);
xlim([0 10]);
pc = plot(t,a,'k','linewidth',2.0,'linestyle',"-");
set(pc,'LineWidth',2.0);
xxs = plot(t,yx,'k','linewidth',3.0,'linestyle',"-");
xl = xlabel('t (seconds)');
set(xl,'FontSize',20);
yl = ylabel('a (m/sec^2)');
set(yl,'FontSize',20);
box on;
grid on;
hold off; 

print -deps -mono -solid kinematics-sa-a2v2x.eps;
