#!/usr/bin/octave -qf
# Script to generate figure x_to_a.eps in a single, simple, call.

x = ones(0,1000);
u = ones(0,1000);
xeq = ones(0,10);
yeq = ones(0,10);
xax = ones(0,10);
yxax = ones(0,10);
figure(1);
clf;
for i = 1:1000
  x(i) = i*0.002;
  u(i) = 1.0/x(i)^12 - 10.0/x(i)^6;
endfor
for i = 1:10
  xeq(i) = 0.7647;
  yeq(i) = (1/x(i)^12 - 10.0/x(i)^6) - (1/x(i)^12 - 10.0/x(i)^6)*i*0.1;
  xax(i) = (i-1)*10;
  yxax(i) = 0.0;
endfor
hold on;
ylim([-30 30]);
xlim([0 2]);
pc = plot(x,u,'k','linewidth',2.0,'linestyle',"-");
pd = plot(xeq,yeq,'k','linewidth',1.0,'linestyle',"--");
px = plot(xax,yxax,'k','linewidth',1.0,'linestyle',"-");
xl = xlabel('x');
set(xl,'FontSize',20);
yl = ylabel('U(x)');
set(yl,'FontSize',20);
box on;
grid on;

print -deps -mono -solid lennard_jones_1D.eps;
