#!/usr/bin/octave -qf
# Script to generate figure short_estimate_Q_resonance.eps in a 
# single, simple, call.

F = 25;
m = 1;
b1 = 0.5;
b2 = 1.
b3 = 3;
omega0 = 10;
omega = ones(0,1000);
a1 = ones(0,1000);
a2 = ones(0,1000);
a3 = ones(0,1000);
figure(1);
clf;
for i = 1:1000
  omega(i) = i*0.02;
  a1(i) = F*omega(i)/(m^2*(omega0^2 - omega(i)^2)^2 + b1^2*omega(i)^2);
  a2(i) = F*omega(i)/(m^2*(omega0^2 - omega(i)^2)^2 + b2^2*omega(i)^2);
  a3(i) = F*omega(i)/(m^2*(omega0^2 - omega(i)^2)^2 + b3^2*omega(i)^2);
endfor
hold on;
ylim([0 10.6]);
xlim([0 20]);
p1 = plot(omega,a1,'k','linewidth',3.0,'linestyle',"-");
set(gca(),'xtick',[1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20]);
set(gca(),'ytick',[1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20]);

p2 = plot(omega,a2,'k','linewidth',3.0,'linestyle',"-");
p3 = plot(omega,a3,'k','linewidth',3.0,'linestyle',"-");
xl = xlabel('\omega');
set(xl,'FontSize',24);
yl = ylabel('P(\omega)');
set(yl,'FontSize',24);
text(9.66,10.3,"(a)",'FontSize',24);
text(9.66,2.8,"(b)",'FontSize',24);
text(9.66,0.6,"(c)",'FontSize',24);
box on;
grid on;

print -deps -mono -solid oscillation-sa-estimate-Q-resonance-curve.eps;
